@charset "utf-8";
/* ================================
   CSS VARIABLEN
==================================*/
:root {
 		--text-red: #ae0000;
  		--text-blue: #07c5ff; /* elegantes Blau */

  		--text-black: #000;
  		--text-white: #fff;
  
  		--background-grey: #eaecf0; 
  		--background-white: #fff;
  		--background-black: #000;
  		--background-red: #ae0000;
  		--background-blue: #07c5ff;
		
		--collector-color: #7300e6;		
}
/* ==========================================
DARK MODE
========================================== */ 
@media (prefers-color-scheme: dark) {
 :root {
	    --text-black: #fff;
    	--text-white: #000;/* z.B. für Invertierungen */
		
    	--background-grey: #000;
    	--background-white: #111;
    	--background-black: #000;
		
		--collector-color: #bf80ff;		
  }	
}
/* ===========================
   BASE STYLES
   =========================== */
html {
  		scroll-behavior: smooth; /* sanft zum Linkziel scrollen */
}
body {
  		background-color: var(--background-white, #fff);
  		font-family: 'Lato', sans-serif;
  		color: var(--text-black, #000);
  		margin: 0;

}
html, body {
  		overflow-x: hidden;/*Bei horizontalem Scrollen oder Seitlichem Verschieben auf Mobilgeräten.*/
  		width: 100%;/*Bei horizontalem Scrollen oder Seitlichem Verschieben auf Mobilgeräten.*/
} 
/* ================================
   HEADER / LOGO
==================================*/
/*Farbe des Hamburger ---digital beruht auf basis-css*/
#oben .startseite .site-header .hauptbutton{
		background: #fff;/* Fallback */
  		background: linear-gradient(to bottom, #BD87F2, white);
  		border-top: thin solid #000;
  		border-left: thin solid #000;
  		border-right: thin solid #000;    /* Für den rechten Rand */		
}

/* ==========================================
MAIN-BEREICH
========================================== */	
.main {
  		max-width: 910px;
 		width: 100%;
		
  		margin: 24px auto;
  		padding: 0 1rem;
}
.main section h1{
		font-size: clamp(2rem, 5vw, 2.6875rem);
		line-height: 1.6;

		font-weight: 500;
		
		color: var(--collector-color, #7300e6);
		margin-top: 2rem;
}
.main section .back-link a {
    	display: inline-block;
    	padding: 6px 12px;
    	color: var(--text-black, #000);
    	text-decoration: none;
   		transition: 0.3s;
    	font-size: clamp(0.8rem, 2vw, 1rem);
}

.main section .back-link a:hover,
.main section .back-link a:focus,
.main section .back-link a:active {
   	 	color: white;
    	background: var(--collector-color, #7300e6);
}

.main section h2{
		margin-top: 2rem;
		margin-bottom:0.9rem;
	 	color: var(--collector-color, #7300e6);
		font-size: clamp(1.3rem, 4vw, 1.875rem);
		line-height: 1.5;
}

.main section h3{
		padding-top:1rem;
		line-height: 1.4;
}

.main ul{
		 padding-left: 0; /* Einrucken von Listen*/
}

.main ul li{
		font-size: clamp(1rem, 2vw, 1.05rem);
		color: var(--text-black, #000);

		padding-top: 1px;
		list-style-position: inside;
		list-style-type: disc;
		padding-left: 1.2rem;
}

.main ul li a{
		color:var(--text-black, #000);
		font-size: clamp(1rem, 2vw, 1.05rem);
}

.main ul li a:hover,
.main ul li a:focus{
		color: var(--text-black, #000);
		background-color: var(--background-white, #fff);
}	

.main p{	
	  	font-size: clamp(1rem, 2vw, 1.1rem);
  		line-height: 1.5; 
	   	color: var(--text-black, #000);
		padding-top: 0.3rem;
}

.main p a{color:var(--text-black, #000);
}

.main p a:hover,
.main p a:focus{
		color:var(--text-black, #000);
		background-color:var(--background-red, #ae0000);
}

/* ---------------------------------
   Footer Basis
---------------------------------- */
.site-footer {
  		color: var(--text-black, #000);
  		margin-top: 0;
}

.site-footer p {
  		text-align: center;
  		color: var(--text-black, #000);
  		font-weight: 500;
  		font-size: 1rem;
		/*padding-top: 0.6rem;
  		margin-top: 0.6rem;*/
		margin-top: 3rem;
  		margin-bottom: 1rem;
}
.site-footer p .top {
		display: inline-block;
  		
		text-decoration: none;
  		text-transform: lowercase;
  		
		font-size: clamp(1rem, 2vw, 1.125rem); /* statt fix 1.125rem */
  		line-height: 1.75em;  /* 30px */
  		border: 2px solid var(--text-black);
		
		padding: 4px 12px 3px 12px;
		
		transition: all 0.2s ease-in-out;
		
  		font-weight: bold;
		
		color: var(--text-white, #fff);
  		background: var(--collector-color); 		
}


@media (hover: hover) {/* Desktop: Hover + Fokus */
.site-footer p .top:hover,
.site-footer p .top:focus {
  		color: var(--text-black, #000);  
    	background: var(--background-white, #fff);		
		border: 2px solid var(--collector-color, #7300e6);	
}
}

/* Untere Adresse */
.startseite .site-footer p .back{
		color: #7300e6;
		text-decoration: none;
}
@media (hover: hover) {/* Desktop: Hover + Fokus */	
.startseite .site-footer p .back:hover,
.startseite .site-footer p .back:focus{
		color: var(--text-white, #fff);
    	background-color: #7300e6;	
}	
}
@media screen and (max-width: 900px) {
.main {
  		max-width: 800px;
}
}

/* ====================
   Media Queries 
   ==================== */
@media screen and (max-width: 769px) {
.main {
  		max-width: 700px;
}	
/* Footer */
.site-footer p {
    	font-size: 1rem;
}
}

/* ================================
   RESPONSIVE DESIGN - MEDIA QUERIES
==================================*/
@media screen and (max-width: 667px) {
.main{
		max-width:600px;
}
.main section h2{
		margin-bottom:0.5rem;		
}
.main p{	
		padding-top: 0.2rem;
}
}

@media screen and (max-width: 570px) {
 .main{
		max-width:450px;
}
.main section h2{
		margin-top: 1.2rem;
}
.main ul{
	 	 margin-left: 0;
}
}

@media screen and (max-width: 418px) {
.logo {
    	margin: 15px 0px 19px 0px;
}
.main{
		max-width:350px;
}
}

@media screen and (max-width: 320px) {		
.main {
		max-width:290px;
}
.site-footer p .top {
    	font-size: 0.9rem;
    	padding: 4px 8px 2px;
}
}

@media screen and (max-width: 270px){
.main{
		max-width:240px;
}
.site-footer p .top {
    	font-size: 0.85rem;
    	padding: 3px 6px 2px;
  }		
}